Package Gnumed :: Package business :: Module gmMedication :: Class cGelbeListeCSVFile |
[frames] | no frames]

# Class cGelbeListeCSVFile

source code

    object --+
             |
            cGelbeListeCSVFile

Iterator over a Gelbe Liste/MMI v8.2 CSV file.

Instance Methods
__init__(self, filename=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
__iter__(self) | source code
next(self) | source code
close(self, truncate=True) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| version = `u'Gelbe Liste/MMI v8.2 CSV file interface'`
| default_transfer_file_windows = `r"c:\rezept.txt"`
| default_encoding = `'cp1250'`
| csv_fieldnames = `[u'name', u'packungsgroesse', u'darreichungsf`...``
| boolean_fields = `[u'status_rezeptpflicht', u'status_fachinfo',`...``
| has_unknown_fields = `property(_get_has_unknown_fields, lambda `...``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, filename=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

Class Variable Details

  ### csv_fieldnames Value:
      [u'name', u'packungsgroesse', u'darreichungsform', u'packungstyp', u'f
      estbetrag', u'avp', u'hersteller', u'rezepttext', u'pzn', u'status_ver
      trieb', u'status_rezeptpflicht', u'status_fachinfo', u'btm', u'atc', u
      'anzahl_packungen', u'zuzahlung_pro_packung', u'einheit', u'schedule_m
      orgens', u'schedule_mittags', u'schedule_abends', u'schedule_nachts',
      u'status_dauermedikament', u'status_hausliste', u'status_negativliste'
      , u'ik_nummer', u'status_rabattvertrag', u'wirkstoffe', u'wirkstoffmen
      ge', u'wirkstoffeinheit', u'wirkstoffmenge_bezug', u'wirkstoffmenge_be
      ...

  ### boolean_fields Value:
      [u'status_rezeptpflicht', u'status_fachinfo', u'btm', u'status_dauerme
      dikament', u'status_hausliste', u'status_negativliste', u'status_rabat
      tvertrag', u'status_import', u'status_lifestyle', u'status_ausnahmelis
      te', u'apothekenpflicht', u'status_billigere_packung', u'besonderes_ar
      zneimittel', u't_rezept_pflicht', u'erstattbares_medizinprodukt', u'hi
      lfsmittel']

  ### has_unknown_fields Value:
      property(_get_has_unknown_fields, lambda x: x)